Name:           ikarus
Version:        0.0.3
Release:        alt1_8
Summary:        An incremental optimizing compiler for R6RS Scheme

Group:          Development/Other
License:        GPLv3
URL:            http://ikarus-scheme.org/
Source0:        http://ikarus-scheme.org/ikarus-%{version}.tar.gz
#Patch0:         ikarus-0.0.1-bootfile.patch

# 391531
ExcludeArch:    x86_64
# 391541
ExcludeArch:    ppc
# 391551
ExcludeArch:    ppc64

BuildRequires: libgmp-devel libgmp_cxx-devel chkconfig
Source44: import.info
#Requires:       

%description
Ikarus Scheme is a free optimizing incremental native-code compiler
for Scheme as specified in the Revised^6 Report on the Algorithmic
Language Scheme.

Ikarus Scheme is an optimizing compiler, so your Scheme code will run
fast without the need to port hot spots to C "for performance". With
an incremental compiler, you don't need a separate compilation step to
make your program run fast. The best part is that the compiler itself
is fast, capable of compiling thousands of lines of code per second.

Finally, Ikarus Scheme is an R6RS compiler. R6RS is the latest
revision of the Scheme standard. The current release of Ikarus
supports over 90% of the most important features R6RS, and later
releases will bring Ikarus closer to full R6RS conformance. R6RS
libraries, scripts, record types, condition system, exception
handling, unicode strings, bytevectors, hashtable, and enumerations
are among the supported features.Ikarus is a free optimizing
incremental native-code compiler for R6RS Scheme.


%prep
%setup -q
#%patch0 -p1 -b .bootfile


%build
%configure --docdir=%{_docdir}/%{name}-%{version}
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# rename scheme-script
cd $RPM_BUILD_ROOT%{_bindir}
mv scheme-script ikarus-scheme-script
install -d $RPM_BUILD_ROOT/%_altdir; cat >$RPM_BUILD_ROOT/%_altdir/scheme-script_ikarus<<EOF
%{_bindir}/scheme-script	%{_bindir}/ikarus-scheme-script	80
EOF

%files
%_altdir/scheme-script_ikarus
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/*
%{_libdir}/ikarus


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.3-alt1_8
- update to new release by fcimport

* Tue Jan 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.3-alt1_7
- initial fc import

